NumberPrefix Class Reference

A prefix with a free numerical value. More...

`#include <Prefix.h>`

Inheritance diagram for NumberPrefix:

## Public Member Functions

| NumberPrefix (const Number &nr, std::string long_name, std::string short_name="", std::string unicode_name="")
void | setValue (const Number &nr)
Number | value (const Number &nexp) const
Number | value (int iexp) const
Number | value () const
int | type () const
Public Member Functions inherited from Prefix
| Prefix (std::string long_name, std::string short_name="", std::string unicode_name="")
const std::string & | shortName (bool return_long_if_no_short=true, bool use_unicode=false) const
const std::string & | longName (bool return_short_if_no_long=true, bool use_unicode=false) const
const std::string & | unicodeName (bool return_short_if_no_uni=true) const
void | setShortName (std::string short_name)
void | setLongName (std::string long_name)
void | setUnicodeName (std::string unicode_name)
const std::string & | name (bool short_default=true, bool use_unicode=false, bool(*can_display_unicode_string_function)(const char *, void *)=NULL, void *can_display_unicode_string_arg=NULL) const
const std::string & | referenceName () const
const ExpressionName & | preferredName (bool abbreviation=false, bool use_unicode=false, bool plural=false, bool reference=false, bool(*can_display_unicode_string_function)(const char *, void *)=NULL, void *can_display_unicode_string_arg=NULL) const
const ExpressionName & | preferredInputName (bool abbreviation=false, bool use_unicode=false, bool plural=false, bool reference=false, bool(*can_display_unicode_string_function)(const char *, void *)=NULL, void *can_display_unicode_string_arg=NULL) const
const ExpressionName & | preferredDisplayName (bool abbreviation=false, bool use_unicode=false, bool plural=false, bool reference=false, bool(*can_display_unicode_string_function)(const char *, void *)=NULL, void *can_display_unicode_string_arg=NULL) const
const ExpressionName & | getName (size_t index) const
void | setName (const ExpressionName &ename, size_t index=1)
void | setName (std::string sname, size_t index)
void | addName (const ExpressionName &ename, size_t index=0)
void | addName (std::string sname, size_t index=0)
size_t | countNames () const
void | clearNames ()
void | clearNonReferenceNames ()
void | removeName (size_t index)
size_t | hasName (const std::string &sname, bool case_sensitive=true) const
size_t | hasNameCaseSensitive (const std::string &sname) const
const ExpressionName & | findName (int abbreviation=-1, int use_unicode=-1, int plural=-1, bool(*can_display_unicode_string_function)(const char *, void *)=NULL, void *can_display_unicode_string_arg=NULL) const

## Protected Attributes

Number | o_number
Protected Attributes inherited from Prefix
std::vector< ExpressionName > | names

## Detailed Description

A prefix with a free numerical value.

A prefix without any predefined base, which can use any number.

## Constructor & Destructor Documentation

## NumberPrefix()

NumberPrefix::NumberPrefix | ( | const Number & | nr,
|  | std::string | long_name,
|  | std::string | short_name = "",
|  | std::string | unicode_name = "" )

Create a number prefix.

Parameters

  nr | Value of the prefix.
  long_name | Long name.
  short_name | Short name.
  unicode_name | Unicode name.

References NumberPrefix().

Referenced by NumberPrefix().

## Member Function Documentation

## setValue()

void NumberPrefix::setValue | ( | const Number & | nr | ) |

Sets the value of the prefix.

Parameters

  nr | New value for the prefix.

## type()

int NumberPrefix::type | ( |  | ) | const

virtual

Returns type, subclass, of the prefix. This can be PREFIX_DECIMAL for prefixes of the class DecimalPrefix, PREFIX_BINARY for BinaryPrefix, or PREFIX_NUMBER for NumberPrefix.

Returns
  The type of the prefix.

Implements Prefix.

## value() [1/3]

Number NumberPrefix::value | ( |  | ) | const

virtual

Returns the value of the prefix.

Returns
  The value of the prefix.

Implements Prefix.

## value() [2/3]

Number NumberPrefix::value | ( | const Number & | nexp | ) | const

virtual

Returns the value of the prefix.

Parameters

  nexp | The power of the prefixed unit.

Returns
  The value of the prefix.

Implements Prefix.

## value() [3/3]

Number NumberPrefix::value | ( | int | iexp | ) | const

virtual

Returns the value of the prefix.

Parameters

  iexp | The power of the prefixed unit.

Returns
  The value of the prefix.

Implements Prefix.

The documentation for this class was generated from the following file:

- /opt/local/var/macports/build/libqalculate-ce1473f9/work/libqalculate-5.9.0/libqalculate/Prefix.h